Subject: Re: IGMP joins come from the wrong SA/interface

From: "Steinar H. Gunderson" <[email-masked]>
Date: Thu, 30 Jan 2014 19:12:29 +0100

On Thu, Jan 30, 2014 at 04:08:11PM -0200, Flavio Leitner wrote:
> No special multicast route, so it should go out on em1/default route.

Well, that's not really relevant for my bug then, is it? My problem is that
it goes out on the default unicast route, whereas it shouldn't.

> Maybe your application is using wrong values to IP_MULTICAST_IF?
> strace and /proc/net/igmp as suggested might help you find out.

This goes for at least vlc+mplayer+xbmc. I don't think they would all be
buggy in the same way? (Actually I don't think any of them set
IP_MULTICAST_IF.)

/* Steinar */
-- 
Homepage: http://www.sesse.net/